:root {
	color-scheme: dark;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	max-width: 120rem;
	margin: 0 auto;
	background-color: #19181d;
	font-size: 1rem;
	line-height: 1.2;
	font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif;
}

a {
	color: inherit;
}

iframe {
	width: 100%;
	height: auto;
	aspect-ratio: 560 / 315;
}

p a img, iframe {
	border: 1px solid rgba(255, 255, 255, 0.25);
}

.wrapper {
	width: 100%;
	height: 100%;
	max-width: 64rem;
	margin: auto;
	padding: 1rem;
}

.header {
	display: flex;
	flex-direction: column;
	position: relative;
	background-image: url(../assets/hero.1080.jpg);
	background-image: image-set(
		url(../assets/hero.1080.jpg) 1x,
		url(../assets/hero.1920.jpg) 2x,
	);
	background-repeat: no-repeat;
	background-position: top center;
	background-size: cover;
	aspect-ratio: 1080 / 1200;
}

@media only screen and (min-width: 120rem) {
	.header {
		background-image: url(../assets/hero.1920.jpg);
	}
}

@media only screen and (max-width: 23.4375rem) {
	.header {
		background-image: url(../assets/hero.375.jpg);
	}
}

.header--small {
	aspect-ratio: unset;
	background-position: center bottom;
	background-size: 80rem auto;
}

.header .wrapper {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: flex-end;
}

.h1 {
	position: sticky;
	bottom: 2rem;
	left: 0;
	font-size: 3rem;
	line-height: 1;
	text-transform: uppercase;
	font-stretch: ultra-condensed;
	font-weight: 900;
	letter-spacing: -0.01em;
	max-width: 32rem;
}

.h1 span {
	display: block;
	font-size: 2em;
}

.h2 {
	margin-bottom: 3rem;
	font-size: 3rem;
	line-height: 1;
	text-transform: uppercase;
	font-stretch: ultra-condensed;
	font-weight: 900;
}

.h3 {
	font-size: 2rem;
	line-height: 1;
	font-stretch: ultra-condensed;
	text-transform: uppercase;
	font-weight: 900;
}

.section {
	padding-block: 3rem;
}

.section p + *, .section * + p {
	margin-top: 1rem;
}

.section p + .h2 {
	margin-top: 3rem;
}

.section p + .h3 {
	margin-top: 2rem;
}

.section p, .section ul, .section dl {
	max-width: 48rem;
	font-size: 1.25rem;
	line-height: 1.5;
}

.section .em {
	text-align: center;
	max-width: none;
	font-size: 1.5rem;
}

.section ul {
	margin-left: 1em;
}

.section dl {
	margin-top: 1rem;
	margin-bottom: 2rem;
	display: grid;
	grid-template-columns: auto 1fr;
	column-gap: 2rem;
	row-gap: 0.3em;
	line-height: 1.2;
}

.section dt {
	font-weight: bold;
}

.btn {
	display: inline-block;
	padding: 0.5em 1em;
	color: #000;
	font-weight: bold;
	background-color: #fff;
	border-radius: 0.25em;
	transition: box-shadow ease-in-out 0.4s;
	box-shadow: 0 0 0.25em #e871ea;
}

.btn:is(:hover, :focus-visible) {
	box-shadow: 0 0 2em #e871ea;
}

.footer {
	padding-block: 3rem;
	font-size: 0.75rem;
	line-height: 1.5;
}

.grid {
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.carousel {
	overflow-y: hidden;
	overflow-x: auto;
	scroll-snap-type: x mandatory;
	scroll-snap-stop: always;
}

.carousel-items {
	display: flex;
	flex-direction: row;
	gap: 1rem;
}

.carousel-item {
	width: calc(50% - 0.5rem);
	flex-shrink: 0;
	flex-grow: 0;
	scroll-snap-align: start;
	scroll-margin-inline-start: 1rem;
}

.ctas {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	column-gap: 2rem;
	row-gap: 1rem;
	font-weight: bold;
	padding-top: 1.5rem;
}

@media only screen and (max-width: 64rem) {
	.carousel {
		margin-inline: -1rem;
	}

	.carousel-items {
		padding-inline: 1rem;
	}
}

@media only screen and (max-width: 40rem) {
	.carousel-items {
		gap: 0;
	}

	.carousel-item {
		width: max(18rem, 75%);
		padding-inline-end: 1rem;
	}
}

@media only screen and (max-width: 30rem) {
	.h1 {
		font-size: 2rem;
	}

	.section {
		padding-block: 1.5rem;
	}

	.header:not(.header--small) {
		aspect-ratio: 1080 / 1600;
	}

	.header--small {
		background-position: left bottom;
	}
}
